devguard
DevicesId

Delete a device.

DELETE
/devices/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Query Parameters

organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/devices/string/?organizationId=string"
{  "id": "string",  "shortId": -9007199254740991,  "organizationId": "string",  "createdAt": "string",  "updatedAt": "string",  "archivedAt": "string",  "name": "string",  "hostname": "string",  "platform": "MACOS",  "osVersion": "string",  "serialNumber": "string",  "hardwareModel": "string",  "source": "AGENT",  "deviceIdentifier": "string",  "memberId": "string",  "agentApiKeyId": "string",  "diskEncryptionEnabled": true,  "antivirusEnabled": true,  "firewallEnabled": true,  "passwordPolicySet": true,  "screenLockEnabled": true,  "osUpToDate": true,  "isCompliant": true,  "consentedAt": "string",  "disclosureVersion": "string",  "checkDetails": null,  "appPolicyResults": null,  "agentVersion": "string",  "lastCheckIn": "string",  "installedAt": "string"}

How is this guide?